Subject: Re: bug#76587: 31.0.50; [FR] project.el should have a way to exclude certain projects from being saved

From: Juri Linkov <[email-masked]>
Date: Thu, 27 Feb 2025 09:27:30 +0200

> I would like to have a user option like
> recentf-exclude which would prevent project--write-project-list from
> saving certain projects.  To that end, I propose the following patch,
> WDYT?

recentf-exclude supports a list of regexps and predicates:

  (defcustom recentf-exclude nil
    "List of regexps and predicates for filenames excluded from the recent list.
    ..."
    :type '(repeat (choice regexp function)))

Would it be possible also to check a predicate on the project list?

I need this to be able to remove the advice from my config:

  ;; Don't remember transient projects:
  (define-advice project-remember-project (:before-until (pr &rest _) skip)
    (eq (car pr) 'transient))